/**
 * @tableofcontents
 *
 * 1. Navigation
 * 2. Banner
 * 3. Speed Tool Demo Section
 * 4. Challenge Steps Section
 * 5. Assesment Procedure Section
 * 6. Gleam Form Section
 * 7. Prizing Tabs Section
 * 8. Partners Slider
 * 9. TImeline Events Section
 *
*/

/* @Section 1. Navigation */
.cw-hdr-wrap
{
    display: none;
}

.cdChlng-nav-wrap
{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
    padding: 25px 0;
}

.cdChlng-nav-wrap.fixed-header .cdChlng-nav_cntdwn
{
    display: block;
}
.cdChlng-nav-wrap.fixed-header
{
    background-color: #0a0d35;
    box-shadow: 0 3px 48px rgba(0,0,0,0.3);
    position: fixed;
    animation: fixed-header .6s ease-in-out;
    top: 0px;
}

@keyframes fixed-header
{
    0% { top: -110px; }
    100% { top: 0; }
}

.cdChlng-nav-links
{
    padding: 0;
    margin: 0;
    list-style: none;
}

.cdChlng-nav-links li
{
    display: inline-block;
    margin: 0 12px;
}

.cdChlng-nav-links li:last-child
{
    margin-right: 0;
}

#cdChlng-nav-mbl
{
    margin: 0;
    padding: 0;
}

.cdChlng-nav .navbar-toggle .icon-bar {
    background-color: #fff;
}

.cdChlng-nav-links li a:not(.coding-chllng-cta),
.cdChlng-nav-links li a:not(.coding-chllng-cta):hover,
.cdChlng-nav-links li a:not(.coding-chllng-cta):focus,
.cdChlng-nav-links li a:not(.coding-chllng-cta):active
{
    padding: 8px 0;
    font-size: 16px;
    font-weight: 400;
    color: #fff;
    background-color: transparent;
    position: relative;
    display: inline-block;
}

.cdChlng-nav-links li .coding-chllng-cta
{
    padding: 8px 15px !important;
    min-width: auto;
    font-size: 14px !important;
    border-radius: 4px !important;
    margin-left: 10px;
    font-weight: 700;
}

.cdChlng-nav-links li .coding-chllng-cta:hover,
.cdChlng-nav-links li .coding-chllng-cta:active,
.cdChlng-nav-links li .coding-chllng-cta:focus
{
    background-color: #dbff00;
    box-shadow: 0 7px 25px rgba(0,0,0,0.6);
}

.cdChlng-nav-links li a:not(.coding-chllng-cta)::after
{
    right: 0;
    left: 0;
    bottom: 0;
    background: #fff;
    height: 2px;
    content: '';
    position: absolute;
    transition: all .3s ease-in-out;
    width: 100%;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    visibility: hidden;
}

.cdChlng-nav-links li a:not(.coding-chllng-cta):hover::after
{
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    visibility: visible;
}

.cdChlng-nav-links li.active a:not(.coding-chllng-cta)::after
{
    right: 0;
    left: 0;
    bottom: 0;
    background: #fff;
    height: 2px;
    content: '';
    position: absolute;
    transition: all .3s ease-in-out;
    width: 100%;
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    visibility: visible;
}

.cdChlng-nav_cntdwn
{
    float: left;
    margin: -5px 0 0 80px;
    list-style: none;
    padding: 0;
    display: none;
}

.cdChlng-nav_cntdwn .contdown-timer
{
    width: 35px;
    height: 35px;
    border-radius: 50px;
    margin: 0 3px;
    background-color: #fff;
    color: #000;
    font-size: 14px;
    font-weight: 700;
    line-height: 35px;
    display: inline-block;
    text-align: center;
    position: relative;
}

.cdChlng-nav_cntdwn .contdown-timer::after
{
    position: absolute;
    content: 'days';
    left: 0;
    right: 0;
    bottom: -20px;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    line-height: 14px;
    text-transform: capitalize;
    text-align: center;
}

.cdChlng-nav_cntdwn .contdown-timer:nth-child(2)::after
{
    content: 'Hours';
}

.cdChlng-nav_cntdwn .contdown-timer:nth-child(3)::after
{
    content: 'Mins';
}

.cdChlng-nav_cntdwn .contdown-timer:nth-child(4)::after
{
    content: 'Secs';
}


/* @Section 2. Banner */

.coding-chllng-bnr-sec
{
    padding: 250px 0 210px;
    background: url(../../img/landing/coding-challenge-bnr-bg.jpg) no-repeat center #070928;
    position: relative;
    overflow: hidden;
}

.coding-chllng-bnr-sec::before
{
    position: absolute;
    content: '';
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: #0c1048;
    opacity: 0.7;
}

.coding-chllng-bnr-txt
{
    position: relative;
}

.coding-chllng-bnr-txt .bnr-abt-pg
{
    color: rgba(255,2355,255,0.6);
    font-size: 16px;
    font-weight: 700;
}

.coding-chllng-bnr-txt h1
{
    font-size: 54px;
    font-weight: 700;
    color: #fff;
}

.coding-chllng-bnr-txt p
{
    font-size: 20px;
    font-weight: 400;
    color: #fff;
    margin-bottom: 30px;
}

.coding-chllng-cta, .coding-chllng-cta:active, .coding-chllng-cta:focus
{
    font-size: 16px;
    font-weight: 700;
    color: #0b1948 !important;
    display: inline-block;
    text-transform: uppercase;
    background-color: #fcd80a;
    padding: 12px 25px;
    min-width: 160px;
    border-radius: 8px;
    text-decoration: none !important;
    outline: none !important;
    box-shadow: 0 3px 15px rgba(0,0,0,0.4);
    transition: all .3s ease-in-out;
}

.coding-chllng-cta:hover
{
    background-color: #dbff00;
    box-shadow: 0 7px 25px rgba(0,0,0,0.6);
}

.drop-next-sec
{
    position: absolute;
    bottom: 35px;
    width: 35px;
    height: 35px;
    border: 1px solid #fff;
    border-radius: 50px;
    transition: all .3s ease-in-out;
    left: calc(50% - 17px);
    text-align: center;
    -webkit-animation-name: bounce; 
    animation-name: bounce;             
    -webkit-animation-duration: 5s;
    animation-duration: 5s; 
    -webkit-animation-fill-mode: both; 
    animation-fill-mode: both; 
    animation-iteration-count: infinite;
    animation-delay: 5s;
}

.drop-next-sec i
{
    color: #fff;
    font-size: 16px;
    line-height: 30px;
}

.drop-next-sec:hover
{
    animation-play-state: paused;
}

@-webkit-keyframes bounce { 
    0%, 4%, 10%, 20%, 100% {transform: translateY(0);} 
    8% {transform: translateY(-30px);} 
    15% {transform: translateY(-15px);} 
} 

@keyframes bounce { 
    0%, 4%, 10%, 20%, 100% {transform: translateY(0);} 
    8% {transform: translateY(-30px);} 
    15% {transform: translateY(-15px);} 
}


/* @Section 3. Speed Tool Demo Section */

.tool-demo-sec
{
    padding: 100px 0;
    background-color: #070928;
}

.tool-demo-desp
{
    font-size: 16px;
    font-weight: 700;
    color: #fff;
    text-transform: uppercase;
}

.tool-demo-txt
{
    margin-top: 20px;
}

.tool-demo-txt h2
{
    font-size: 66px;
    font-weight: 700;
    color: #fcd80a;
    margin-bottom: 20px;
}

.tool-demo-txt p
{
    font-size: 18px;
    font-weight: 400;
    color: #fff;
}

.tool-demo-video-box {
    position: relative;
    width: 420px;
    height: 420px;
    box-sizing: border-box;
    border-radius: 50%;
    margin: 0 0 0 auto;
    border: 5px solid #000;
    box-shadow: 0 0 15px rgba(255,255,255,0.3);
}

.tool-demo-video-box #gauge {
    width: 100%;
    height: 100%;
    padding: 12px;
    background: #fff;
    border-radius: 50%;
    box-shadow: 0 0 32px rgba(21, 55, 172, 0.25), inset 0 -192px 192px -240px #e31212;
    box-sizing: border-box;
}

.tool-demo-video-box #gauge path:first-child {
    opacity: 1 !important;
    display: block !important;
}

.tool-demo-video-box #gauge-label {
    position: absolute;
    top: 47.5%;
    left: 50%;
    font-size: 64px;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    color: #e31212;
}

.tool-demo-video-box #gauge-label:after {
    content: "Req/s";
    position: absolute;
    font-size: 35%;
    bottom: 5px;
    left: 50%;
    -webkit-transform: translate(-50%, 100%);
    transform: translate(-50%, 100%);
}

.tool-demo-video-box:before, .tool-demo-video-box:after {
    display: block;
    position: absolute;
    bottom: 25%;
    font-family: inherit;
    font-size: 14px;
    color: #9198af;
}

.tool-demo-video-box:before {
    content: "0";
    left: 28%;
}

.tool-demo-video-box:after {
    content: "100";
    right: 28%;
}



/* @Section 4. Challenge Steps Section */

.chllng-steps-sec
{
    background: url(../../img/landing/coding-challenge-steps-bg.png) no-repeat center 100% #0a0d35;
    padding: 90px 0;
    background-size: contain;
}

.chllng-steps-top-txt h2
{
    font-size: 50px;
    font-weight: 700;
    color: #fff;
}

.chllng-steps-top-txt p
{
    font-size: 20px;
    font-weight: 400;
    color: #fff;
}

.chllng-steps-head
{
    font-size: 16px;
    font-weight: 700;
    color: #b764d8;
}

.chllng-steps-wrap ul
{
    list-style: none;
    padding: 0;
    margin: 0;
}

.chllng-steps-wrap li
{
    float: left;
    width: 25%;
    text-align: center;
    margin-top: 50px;
    position: relative;
}

.chllng-steps-wrap li::before
{
    content: '';
    height: 9px;
    width: 61px;
    position: absolute;
    top: 75px;
    background: url(../../img/feature/new-feature-sec4-dots.png) no-repeat left 0;
    right: -11%;
}

.chllng-steps-wrap li:last-child::before
{
    display: none;
}

.chllng-steps-icon-box
{
    width: 150px;
    height: 150px;
    background-color: #fff;
    border-radius: 8px;
    position: relative;
    margin: 0 auto;
}

.chllng-steps-icon-box img
{
    max-width: 120px;
    max-height: 120px;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto;
}

.chllng-steps-wrap h3
{
    font-size: 18px;
    font-weight: 700;
    color: #fff;
    margin: 20px auto 10px;
    max-width: 170px;
}

.chllng-steps-wrap p
{
    font-size: 14px;
    font-weight: 400;
    color: #fff;
    max-width: 170px;
    margin: 0 auto
}

/* @Section 5. Assesment Procedure Section */

.assesmnt-procdr-sec
{
    padding: 85px 0;
    background-color: #0d1039;
}

div.abt-assesmnt-procdr
{
    font-size: 16px;
    font-weight: 700;
    color: #09ebaf;
}

.assesmnt-procdr-txt h2
{
    font-size: 50px;
    font-weight: 700;
    color: #fff;
}

.assesmnt-procdr-txt p
{
    font-size: 20px;
    font-weight: 400;
    color: #fff;
}

.assesmnt-procdr-steps-box
{
    background-color: #070928;
    box-shadow: 0 0 8px rgba(0,0,0,0.4);
    padding: 50px 20px;
    border-radius: 5px;
    margin-top: 40px;
    transition: all .3s ease-in-out;
}

.assesmnt-procdr-steps-box:hover
{
    box-shadow: 0 8px 15px 5px rgba(0,0,0,0.6);
    transform: translateY(-5px);
}

.assesmnt-procdr-steps-img img
{
    max-width: 50px;
    max-height: 50px;
}

.assesmnt-procdr-steps-box h3
{
    font-size: 24px;
    font-weight: 500;
    color: #fff;
    margin: 40px 0 20px;
}

.assesmnt-procdr-steps-box p
{
    font-size: 16px;
    font-weight: 400;
    color: #fff;
}


/* @Section 6. Gleam Form Section */

.gleam-form-sec::after
{
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url(../../img/landing/coding-challenge-gleem-bg.png) repeat top left;
    opacity: 0.4;
    animation: binary-code2 15s linear infinite;
}

.gleam-form-sec::before
{
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url(../../img/landing/coding-challenge-gleem-bg.png) repeat top left;
    opacity: 0.4;
    animation: binary-code 15s linear infinite;
}

.gleam-form-sec
{
    background: #0a0d35;
    padding: 90px 0;
    position: relative;
}

@keyframes binary-code2
{
    from
    {
        background-position:0 1371px;
        opacity: 0.4;
    }
    to
    {
        background-position:0 0;
        opacity: 0.1;
    }
}

@keyframes binary-code
{
    from
    {
        opacity: 0.1;
        background-position:0 0;
    }
    to
    {
        opacity: 0.4;
        background-position:0 1371px;
    }
}

.gleam-form-txt , .gleam-form-wrap
{
    position: relative;
    z-index: 9;
}

.gleam-form-txt h2
{
    font-size: 50px;
    color: #fff;
    font-weight: 700;
}

.gleam-form-txt p
{
    font-size: 20px;
    color: #fff;
    font-weight: 400;
}

.gleam-form-wrap
{
    margin-top: 40px;
}


/* @Section 7. Prizing Tabs Section */

.challng-prizes-sec
{
    padding: 80px 0;
    background-color: #070928;
}

.challng-prizes div
{
    color: #fcd80a;
    font-size: 16px;
    font-weight: 700;
}

.challng-prizes
{
    margin-bottom: 40px;
}

.challng-prizes h2
{
    font-size: 50px;
    font-weight: 700;
    color: #fff;
    margin: 20px 0;
}

.challng-prizes p
{
    font-size: 20px;
    font-weight: 400;
    color: #fff;
}

.chllng-prized-tabs-wrap
{
    margin-right: 50px;
}

.chllng-prized-tabs-wrap li
{
    border-radius: 8px !important;
    overflow: hidden;
}

.chllng-prized-tabs-wrap li a
{
    padding: 25px 20px;
    transition: all .5s ease-in-out;
    border-radius: 8px !important;
    overflow: hidden;
}

.chllng-prized-tabs-wrap li a h3
{
    font-size: 24px;
    color: #fff;
    transition: all .5s ease-in-out;
    font-weight: 700;
    margin: 0 0 15px;
}

.chllng-prized-tabs-wrap li a p
{
    font-size: 18px;
    transition: all .5s ease-in-out;
    color: #fff;
    font-weight: 400;
}

.chllng-prized-tabs-wrap li.active, .chllng-prized-tabs-wrap li.active:active, .chllng-prized-tabs-wrap li.active:focus,
.chllng-prized-tabs-wrap li.active a, .chllng-prized-tabs-wrap li.active:active a, .chllng-prized-tabs-wrap li.active:focus a
{
    transition: all .5s ease-in-out;
    background-color: #fff;
    border-radius: 8px !important;
}

.chllng-prized-tabs-wrap li.active a h3, .chllng-prized-tabs-wrap li.active a p
{
    transition: all .5s ease-in-out;
    color: #091e42;
}

.chllng-prized-tabs-wrap li a:hover
{
    transition: all .5s ease-in-out;
    background-color: transparent;
}

.chllng-prized-tabs-cntnt-wrap
{
    padding: 15px;
    box-shadow: 0 0 15px rgba(0,0,0,0.6), inset 0px 0px 100px 100px rgba(255,255,255,0.05);
    border-radius: 12px;
    height: 460px;
    position: relative;
}

.chllng-prized-tabs-cntnt-wrap .tab-pane
{
    transition-duration: .5s;
}

.chllng-prized-tabs-cntnt-wrap img
{
    max-height: 430px;
    max-width: calc(100% - 30px);
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}

/* @Section 8. Partners Slider */

.partnr-sldr-sec
{
    padding: 70px 0;
    background-color: #070928;
}

.ptrnr-sec-txt h2
{
    font-size: 50px;
    font-weight: 500;
    color: #fff;
    text-align: center;
}

.comp-logo-sldr-wrap
{
    margin: 50px auto 0;
    max-width: max-content;
}

.prt-logo-box-logos 
{
    height: 50px;
    background: url(../../img/landing/coding-challenge-spprt-frmwrk.png) no-repeat center top;
    margin: 0 15px;
    -webkit-transition: all .2s ease-in-out;
    -webkit-transition-timing-function: linear;
    transition: all .2s ease-in-out;
    transition-timing-function: linear;
    width: 175px;
    display: inline-block;
}

.prt-logo-box-logos.prt-logo2
{
    background-position-y: -90px;
}

.prt-logo-box-logos.prt-logo3
{
    background-position-y: -180px;
}

.prt-logo-box-logos.prt-logo4
{
    background-position-y: -270px;
}

.prt-logo-box-logos.prt-logo5
{
    background-position-y: -424px;
}

.prt-logo-box-logos.prt-logo6
{
    background-position-y: -531px;
}

.prt-logo-box-logos.prt-logo7
{
    background-position-y: -638px;
}

.prt-logo-box-logos.prt-logo8
{
    background-position-y: -745px;
}

.comp-logo-sldr-wrap .owl-nav
{
    position: relative;
}

.comp-logo-sldr-wrap .owl-nav span
{
    font-size: 80px;
    position: absolute;
    color: #fff;
    line-height: 20px;
    top: -55px;
}

.comp-logo-sldr-wrap .owl-nav .owl-prev span
{
    left: -60px;
}

.comp-logo-sldr-wrap .owl-nav .owl-next span
{
    right: -60px
}

/* @Section 9. TImeline Events Section */

.timeline-sec
{
    padding: 80px 0;
    background-color: #070928;
}

.timeline-txt-wrap>div
{
    font-size: 16px;
    font-weight: 700;
    color: #fff;
    text-transform: uppercase;
}

.timeline-txt-wrap>h2
{
    font-size: 60px;
    font-weight: 700;
    color: #09ebaf;
    margin: 15px 0;
    text-transform: uppercase;
}

.timeline-txt-wrap p
{
    font-size: 18px;
    font-weight: 400;
    color: #fff;
}

.timeline-txt-wrap
{
    margin-top: 0;
    padding-right: 50px;
}

.timeline-post-date
{
    padding: 0;
    margin: 0;
    list-style: none;
    position: relative;
    padding-right: 15px;
    width: 70px;
    float: left;
}

.timeline-post-date::after
{
    content: '';
    position: absolute;
    right: 0;
    width: 2px;
    top: 0;
    bottom: 0;
    background-color: rgba(255,255,255,0.3);
    border-radius: 50%;
}

.timeline-posts-box
{
    margin-bottom: 40px;
    float: left;
    width: 100%;
}

.timeline-post-date li
{
    color: #09ebaf;
}

.timeline-post-date li:first-child
{
    font-size: 36px;
    font-weight: 700;
    line-height: 36px;
}

.timeline-post-date li:last-child
{
    font-weight: 300;
    font-size: 18px;
    text-transform: uppercase;
    letter-spacing: 3px;
    line-height: 18px;
}

.timeline-post-event
{
    float: left;
    padding-left: 15px;
    font-size: 18px;
    font-weight: 700;
    color: #fff;
    width: calc(100% - 70px);
}

@media(max-width:1200px)
{
    .chllng-steps-wrap li::before
    {
        right: -13%;
    }

    /* Sticky Nav Begin */
    .cdChlng-nav_cntdwn
    {
        margin-left: 20px;
    }

    .cdChlng-nav-links li {
        margin: 0 5px;
    }
    /* Sticky Nav End */
}

@media(max-width:992px)
{
    /* Sticky Nav Begin */
    .cdChlng-nav-wrap.fixed-header .cdChlng-nav_cntdwn {
        display: none;
    }
    /* Sticky Nav End */

    .coding-chllng-bnr-sec
    {
        padding: 150px 0 120px;
    }

    .coding-chllng-bnr-txt h1
    {
        font-size: 36px;
    }

    .coding-chllng-bnr-txt p
    {
        font-size: 16px;
    }

    .tool-demo-sec, .chllng-steps-sec,.partnr-sldr-sec, .assesmnt-procdr-sec, .gleam-form-sec, .challng-prizes-sec
    {
        padding: 50px 0;
    }

    .tool-demo-txt
    {
        text-align: center;
        margin-bottom: 30px;
    }

    .tool-demo-txt h2, .chllng-steps-top-txt h2, .ptrnr-sec-txt h2, .assesmnt-procdr-txt h2, .gleam-form-txt h2, .challng-prizes h2
    {
        font-size: 28px;
    }

    .tool-demo-txt p, .chllng-steps-top-txt p, .assesmnt-procdr-txt p, .gleam-form-txt p, .challng-prizes p
    {
        font-size: 16px;
    }

    .tool-demo-video-box
    {
        margin: 0 auto;
    }

    .chllng-steps-wrap li
    {
        width: 50%;
    }

    .chllng-steps-wrap li:nth-child(2)::before
    {
        display: none;
    }

    .chllng-steps-wrap li::before {
        right: -9%;
    }

    .chllng-prized-tabs-wrap li a h3
    {
        font-size: 20px;
    }

    .chllng-prized-tabs-wrap li a p
    {
        font-size: 16px;
    }

    .chllng-prized-tabs-wrap li a {
        padding: 20px 15px;
    }

    .comp-logo-sldr-wrap .owl-nav .owl-next span {
        right: -40px;
    }

    .comp-logo-sldr-wrap .owl-nav .owl-prev span {
        left: -40px;
    }

    .assesmnt-procdr-steps-box h3 {
        font-size: 20px;
        margin: 20px 0;
    }

    .assesmnt-procdr-steps-box
    {
        padding: 30px 20px;
    }

    .timeline-sec
    {
        padding: 60px 0;
    }

    .timeline-txt-wrap
    {
        margin: 0 0 40px;
        padding: 0;
        text-align: center;
    }

    .timeline-txt-wrap>h2
    {
        font-size: 28px;
        margin: 10px 0;
    }

    .timeline-txt-wrap p
    {
        font-size: 16px;
    }

    .timeline-posts-box
    {
        margin-bottom: 20px;
    }

    .prt-logo-box-logos 
    {
        margin: 0 1px;
    }
}

@media(max-width:767px)
{

    /* Sticky Nav Begin */
    .cdChlng-nav-wrap {
        padding: 10px 0;
        background-color: #0a0d35;
    }

    .cdChlng-nav-links li {
        display: block;
    }

    .cdChlng-nav-links li .coding-chllng-cta {
        margin: 10px 0 !important;
        display: inline-block;
    }

    .cdChlng-nav .navbar-header {
        margin: 0 0 10px;
        border: 0;
    }

    #cdChlng-nav-mbl {
        padding: 10px 0 0;
    }

    .cdChlng-nav .navbar-toggle
    {
        margin: 0;
        padding: 0;
        top: 4px;
    }
    /* Sticky Nav End */


    .chllng-prized-tabs-wrap {
        margin-right: 0;
    }

    .chllng-prized-tabs-wrap li a
    {
        text-align: center;
    }

    .chllng-prized-tabs-cntnt-wrap
    {
        margin-top: 40px;
    }

    .chllng-steps-wrap li::before {
        right: -13%;
    }

    .prt-logo-box-logos 
    {
        display: block;
        margin: 5px auto;
    }

}


@media(max-width:550px)
{
    .tool-demo-video-box
    {
        width: 300px;
        height: 300px;
    }

    .chllng-steps-wrap li::before
    {
        display: none;
    }

    .assesmnt-procdr-sec .col-xs-6, .timeline-posts-wrap .col-xs-6
    {
        width: 100%;
    }

    .assesmnt-procdr-steps-box
    {
        text-align: center;
    }
    
    .assesmnt-procdr-steps-img img
    {
        margin: 0 auto;
    }

    .timeline-posts-box
    {
        max-width: max-content;
        margin: 0 auto 20px;
        float: none;
    }

    .timeline-post-date
    {
        margin-bottom: 20px;
    }
}